
#include <stdio.h>
#include <dos.h>

#include "mouse.h"

void	MouseInit()
{
	union	REGS	regs ;

	regs.x.ax = 0 ;
	int86( 0x33, &regs, &regs );
}

void	MouseExit()
{
	MouseOFF();
}

void	MouseON()
{
#if	1
	union	REGS	regs ;

	regs.x.ax = 1 ;
	int86( 0x33, &regs, &regs );
#endif
}

void	MouseOFF()
{
#if	1
	union	REGS	regs ;

	regs.x.ax = 2 ;
	int86( 0x33, &regs, &regs );
#endif
}

void	MousePos( xp, yp )
int		*xp, *yp ;
{
	union	REGS	regs ;

	regs.x.ax = 3 ;
	int86( 0x33, &regs, &regs );
	*xp = regs.x.cx ;
	*yp = regs.x.dx ;
}

void	MouseSwitch( leftp, rightp )
int		*leftp, *rightp ;
{
	union	REGS	regs ;

	regs.x.ax = 3 ;
	int86( 0x33, &regs, &regs );
	*leftp = ( ( regs.x.bx & 1 ) != 0 );
	*rightp = ( ( regs.x.bx & 2 ) != 0 );
}
